Bug 239851 - BSD_CRTBEGIN does not work on sparc64
Summary: BSD_CRTBEGIN does not work on sparc64
Status: Closed Overcome By Events
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: sparc64 Any
: --- Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks: 228919
  Show dependency treegraph
 
Reported: 2019-08-14 13:08 UTC by Ed Maste
Modified: 2020-03-08 21:22 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2019-08-14 13:08:51 UTC
Disabled in Makefile.inc1 with a comment "PowerPC and Sparc64 need extra crt*.o files"
Comment 1 Warner Losh freebsd_committer 2019-08-14 16:05:25 UTC
PowerPC has now been fixed :)
Comment 2 commit-hook freebsd_committer 2019-11-07 19:38:05 UTC
A commit references this bug:

Author: emaste
Date: Thu Nov  7 19:37:27 UTC 2019
New revision: 354468
URL: https://svnweb.freebsd.org/changeset/base/354468

Log:
  arch.7: claim 12.x as the last architecture with sparc64 support

  GCC 4.2.1 is being removed before FreeBSD 13, as are some other
  components required by FreeBSD/sparc64.  Contemporary GCC does not build
  and there is currently no indication that anyone is going to address
  these issues.

  PR:		228919, 233405, 236839, 239851

Changes:
  head/share/man/man7/arch.7
Comment 3 Ed Maste freebsd_committer 2019-11-08 18:02:16 UTC
Attempting to build for sparc64 with external toolchain in a GPL-removed FreeBSD tree fails in "stage 4.2: building libraries" with:

/usr/local/bin/sparc64-unknown-freebsd12.0-ld: cannot find crtendS.o: No such file or directory
collect2: error: ld returned 1 exit status
Comment 4 Conrad Meyer freebsd_committer 2019-11-09 09:47:07 UTC
For reference, PPC was fixed in r342974.
Comment 5 Ed Maste freebsd_committer 2020-01-10 17:06:34 UTC
See also https://reviews.freebsd.org/D23122
Comment 6 commit-hook freebsd_committer 2020-01-31 18:04:51 UTC
A commit references this bug:

Author: emaste
Date: Fri Jan 31 18:04:06 UTC 2020
New revision: 357338
URL: https://svnweb.freebsd.org/changeset/base/357338

Log:
  retire BSD_CRTBEGIN option

  BSD crt is currently used on all architectures (other than sparc64).
  Remove the option and use BSD crt everywhere as part of the GCC 4.2.1
  retirement plan.

  https://lists.freebsd.org/pipermail/freebsd-arch/2020-January/019823.html

  PR:		239851
  Reviewed by:	andrew, brooks
  Sponsored by:	The FreeBSD Foundation
  Differential Revision:	https://reviews.freebsd.org/D23122

Changes:
  head/Makefile.inc1
  head/contrib/bmake/mk/meta2deps.sh
  head/gnu/lib/Makefile
  head/lib/csu/Makefile.inc
  head/share/mk/local.dirdeps-options.mk
  head/share/mk/local.dirdeps.mk
  head/share/mk/local.gendirdeps.mk
  head/share/mk/meta2deps.sh
  head/share/mk/src.opts.mk
  head/targets/pseudo/userland/gnu/Makefile.depend
  head/tools/build/options/WITHOUT_BSD_CRTBEGIN
  head/tools/build/options/WITH_BSD_CRTBEGIN
Comment 7 Ed Maste freebsd_committer 2020-02-02 22:32:02 UTC
imp@ started removing sparc64 support as of r357407
Comment 8 Ed Maste freebsd_committer 2020-02-28 16:27:05 UTC
sparc64 removed from HEAD
Comment 9 commit-hook freebsd_committer 2020-03-08 21:22:13 UTC
A commit references this bug:

Author: emaste
Date: Sun Mar  8 21:21:48 UTC 2020
New revision: 358787
URL: https://svnweb.freebsd.org/changeset/base/358787

Log:
  MFC r354468: arch.7: claim 12.x as the last architecture with sparc64 support

  PR:		228919, 233405, 236839, 239851

Changes:
_U  stable/12/
  stable/12/share/man/man7/arch.7